Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update git automation target branche

PATCH/workspaces/{organizationId}/git-automation-target-branches/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
patternstring
Responses
200Target branch updated
idstringrequired
organizationIdstringrequired
namestringrequired
patternstring | nullrequired
createdAtstringrequired
404Target branch not found
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/git-automation-target-branches/string" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "pattern": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "pattern": "string",
  "createdAt": "string"
}